import asyncio
import sys
import logging

# Configure logging before importing any modules
logging.basicConfig(level=logging.WARNING)

from . import server

def main():
    """Main entry point for the package."""
    server_instance = server.ApiDocsServer()
    try:
        server_instance.run()
    except KeyboardInterrupt:
        print("Server stopped by user", file=sys.stderr)
    except Exception as e:
        print(f"Server error: {e}", file=sys.stderr)
        sys.exit(1)

# Optionally expose other important items at package level
__all__ = ['main', 'server']
